toolzerhub API Docs

Get news feed

Returns Reddit's news feed. Optionally filter by subtopic_ids and use after for pagination.

2 credits / requestBilled only on success
GET
/v2/reddit/news-feed

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

subtopic_ids?string

Comma-separated news subtopic IDs to filter the feed by.

after?string

Cursor from the previous response used to fetch the next page.

curl -X GET "https://example.com/v2/reddit/news-feed" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "elements": {      "edges": [        {          "property1": null,          "property2": null        }      ],      "pageInfo": {        "property1": null,        "property2": null      },      "dist": 0,      "property1": null,      "property2": null    },    "property1": null,    "property2": null  }}